Subject: Re: [PATCH] xfrm: use printk instead of WARN for bad policy reporting

From: Vegard Nossum <[email-masked]>
Date: Wed, 27 Jul 2016 08:20:57 +0200

On 07/27/2016 05:01 AM, Herbert Xu wrote:
> On Wed, Jul 20, 2016 at 01:53:12PM +0200, Vegard Nossum wrote:
>> Just FYI I'm also running into the
>>
>> // reset the timers here?
>> WARN(1, "Don't know what to do with soft policy expire\n");
>>
>> in xfrm_add_pol_expire() from the same commit, but that looks
>> potentially somewhat more serious (or at least it looks like we might
>> want to do some sort of cleaning up), so I won't touch it for now.
>
> It certainly shouldn't be a WARN, it probably shouldn't print
> anything either.

Here's another patch to remove that too.

I don't actually *use* this code myself and I feel the justification
I've given for removing the WARN to be a bit weak, so if you don't take
the patch I'll just keep it in my local tree to keep it from showing up
again during fuzzing.

Thanks,

Vegard
>>From 5b302eb4c188064a69176a901c2bec3e19440c03 Mon Sep 17 00:00:00 2001
From: Vegard Nossum <[email-masked]>
Date: Wed, 27 Jul 2016 08:13:14 +0200
Subject: [PATCH] xfrm: get rid of another incorrect WARN

During fuzzing I regularly run into this WARN(). According to Herbert Xu,
this "certainly shouldn't be a WARN, it probably shouldn't print anything
either".

Cc: Stephen Hemminger <[email-masked]>
Cc: Steffen Klassert <[email-masked]>
Cc: Herbert Xu <[email-masked]>
Signed-off-by: Vegard Nossum <[email-masked]>
---
 net/xfrm/xfrm_user.c | 1 -
 1 file changed, 1 deletion(-)

diff --git a/net/xfrm/xfrm_user.c b/net/xfrm/xfrm_user.c
index 2477b24..a4e44f7 100644
--- a/net/xfrm/xfrm_user.c
+++ b/net/xfrm/xfrm_user.c
@@ -2053,7 +2053,6 @@ static int xfrm_add_pol_expire(struct sk_buff *skb, struct nlmsghdr *nlh,
 		xfrm_audit_policy_delete(xp, 1, true);
 	} else {
 		// reset the timers here?
-		WARN(1, "Don't know what to do with soft policy expire\n");
 	}
 	km_policy_expired(xp, p->dir, up->hard, nlh->nlmsg_pid);
 
-- 
1.9.1